Bug 437148 - ieee80211_regdom in kernel-2.6.24.3-12.fc8 not available
ieee80211_regdom in kernel-2.6.24.3-12.fc8 not available
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
All Linux
low Severity high
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-12 12:51 EDT by Ra P.
Modified: 2008-03-14 18:34 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-14 18:34:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ra P. 2008-03-12 12:51:17 EDT
Since upgrading kernel-2.6.23.15-137.fc8 to kernel-2.6.24.3-12.fc8 the parameter
ieee80211_regdom=64 for module mac80211 isn't available anymore. This is
necessary to use wireless channels which else aren't available.

While using the new kernel the following command fails:
modprobe mac80211 ieee80211_regdom=64

Modinfo also doesn't show the missing parameter anymore:
[root@localhost ~]# modinfo
/lib/modules/2.6.24.3-12.fc8/kernel/net/mac80211/mac80211.ko 
filename:       /lib/modules/2.6.24.3-12.fc8/kernel/net/mac80211/mac80211.ko
license:        GPL
description:    IEEE 802.11 subsystem
description:    Simple rate control algorithm
license:        GPL
license:        GPL
author:         Mattias Nissler
author:         Stefano Brivio
description:    PID controller based rate control algorithm
depends:        cfg80211
vermagic:       2.6.24.3-12.fc8 SMP mod_unload 686 4KSTACKS 
parm:           ieee80211_default_rc_algo:Default rate control algorithm for
mac80211 to use (charp)

The old module has this parameter:
[root@localhost ~]# modinfo
/lib/modules/2.6.23.15-137.fc8/kernel/net/mac80211/mac80211.ko 
filename:       /lib/modules/2.6.23.15-137.fc8/kernel/net/mac80211/mac80211.ko
license:        GPL
description:    IEEE 802.11 subsystem
description:    Simple rate control algorithm
license:        GPL
license:        GPL
author:         Mattias Nissler
author:         Stefano Brivio
description:    PID controller based rate control algorithm
depends:        cfg80211
vermagic:       2.6.23.15-137.fc8 SMP mod_unload 686 4KSTACKS 
parm:           ieee80211_regdom:IEEE 802.11 regulatory domain; 64=MKK (int)
parm:           ieee80211_japan_5ghz:Vendor-updated firmware for 5 GHz (int)
parm:           ieee80211_default_rc_algo:Default rate control algorithm for
mac80211 to use (charp)
Comment 1 John W. Linville 2008-03-13 11:02:26 EDT
Ah, sorry about that.  The mechanism for changing that has changed upstream.  
You will need to get rid of this line in /etc/modprobe.conf:

   options mac80211 ieee80211_regdom=64

And add this instead:

   options cfg80211 ieee80211_regdom="JP"

Unfortunately I don't see any reasonable way to hack around this to preserve 
the old mac80211 module option for F8.  I'm sorry.

Note You need to log in before you can comment on or make changes to this bug.